怎样解决amule中ed2k不是注册协议的问题

上网、浏览、聊天、下载等
lovincodes
帖子: 74
注册时间: 2005-10-28 3:19
送出感谢: 0
接收感谢: 0
联系:

怎样解决amule中ed2k不是注册协议的问题

#1

帖子 lovincodes » 2005-12-06 11:25

我首次运行amule,但是在verycd上下载东西的时候总是提示我没有注册协议,请正在享受下载待遇的u哥们帮小u解决一下。
ps:u代表使用ubu的用户们。
howlym
帖子: 35
注册时间: 2005-12-01 16:41
送出感谢: 0
接收感谢: 0

#2

帖子 howlym » 2005-12-07 14:33

在firefox地址栏输入 about:config
右键新建“布尔”
名称输入:network.protocol-handler.external.ed2k
值为true
右键新建“字符串”
名称输入:network.protocol-handler.app.ed2k
值为:/usr/bin/ed2k
注意:是/usr/bin/ed2k,没错!我以前安装时以为是作者笔误,自己把它改成amule了,所以没有办法正常使用。
zengsun
帖子: 334
注册时间: 2005-05-17 14:45
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 zengsun » 2005-12-07 15:34

谢谢了,现在用驴方便多了! :D
现在还是在学java!
头像
max0000
帖子: 310
注册时间: 2005-04-08 14:54
送出感谢: 0
接收感谢: 0

#4

帖子 max0000 » 2005-12-07 17:18

另外还要注意要安装上“amule-ed2k”这个包。
lovincodes
帖子: 74
注册时间: 2005-10-28 3:19
送出感谢: 0
接收感谢: 0
联系:

十分感谢二楼和四楼的兄弟

#5

帖子 lovincodes » 2005-12-08 9:18

非常谢谢,你们就是传说中的大U,呵呵,有什么问题还请继续帮忙,特别感谢。
有名无名,随遇而安!
leechael
帖子: 16
注册时间: 2005-08-29 11:19
送出感谢: 0
接收感谢: 0

#6

帖子 leechael » 2005-12-10 11:29

max0000 写了:另外还要注意要安装上“amule-ed2k”这个包。
不太懂……怎么装上这个包的?
seangg
帖子: 61
注册时间: 2005-11-20 21:12
送出感谢: 0
接收感谢: 0

#7

帖子 seangg » 2005-12-10 14:25

leechael 写了:
max0000 写了:另外还要注意要安装上“amule-ed2k”这个包。
不太懂……怎么装上这个包的?


apt-get install amule-ed2k
seangg
帖子: 61
注册时间: 2005-11-20 21:12
送出感谢: 0
接收感谢: 0

#8

帖子 seangg » 2005-12-10 14:25

另外,我有一个问题

我按照楼上的两位说的
将about:config改了
而且安装了
amule-ed2k
注销后
用amule下载时还是提示我不时注册协议
头像
oliver
帖子: 775
注册时间: 2005-10-05 11:31
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 oliver » 2005-12-11 8:46

我也有和楼上朋友一样的问题。我是先设置好了Firefox然后才安装“amule-ed2k”程序包。是不是因为操作步骤不对导致错误呢?
现在依旧提示:ed2k不是注册协议。
seangg 写了:另外,我有一个问题

我按照楼上的两位说的
将about:config改了
而且安装了
amule-ed2k
注销后
用amule下载时还是提示我不时注册协议
头像
max0000
帖子: 310
注册时间: 2005-04-08 14:54
送出感谢: 0
接收感谢: 0

#10

帖子 max0000 » 2005-12-11 10:16

请在ff中把注册项
network.protocol-handler.app.ed2k
改为:/usr/bin/ed2k.amule
试试。
头像
oliver
帖子: 775
注册时间: 2005-10-05 11:31
送出感谢: 0
接收感谢: 0
联系:

#11

帖子 oliver » 2005-12-11 10:33

按照您的方法修改了依旧不能够解决此问题。
依旧提示ed2k不是已注册协议。
max0000 写了:请在ff中把注册项
network.protocol-handler.app.ed2k
改为:/usr/bin/ed2k.amule
试试。
头像
max0000
帖子: 310
注册时间: 2005-04-08 14:54
送出感谢: 0
接收感谢: 0

#12

帖子 max0000 » 2005-12-11 10:56

情况是这样的:
amule-ed2k这个包提供了几个向amule输送ed2k链接的工具,/usr/bin/ed2k.amule和/usr/bin/ed2k可能都是,但至少我这里还要在amule已经运行的时候才能向amule输送。你看看在这种情况下点ed2k链接能不能在amule中添加相应的下载项?
如果可以的话,可以在ff中再添加一个注册项:
network.protocol-handler.warn-external.ed2k
并设为false,把警告关掉。

还有一点多说一下,因为是手动输入注册项,一定要写对:
network.protocol-handler.app.ed2k----->/usr/bin/ed2k.amule
network.protocol-handler.external.ed2k------------>true
network.protocol-handler.warn-external.ed2k--------->false
头像
oliver
帖子: 775
注册时间: 2005-10-05 11:31
送出感谢: 0
接收感谢: 0
联系:

#13

帖子 oliver » 2005-12-11 11:09

我都照本宣科操作了,也开启了amule,但是情况依旧。设置的时候我都是复制粘贴,事后也检查了,操作步骤没有问题。
max0000 写了:情况是这样的:
amule-ed2k这个包提供了几个向amule输送ed2k链接的工具,
头像
max0000
帖子: 310
注册时间: 2005-04-08 14:54
送出感谢: 0
接收感谢: 0

#14

帖子 max0000 » 2005-12-11 12:27

ok看来要靠你深入研究了。
头像
oliver
帖子: 775
注册时间: 2005-10-05 11:31
送出感谢: 0
接收感谢: 0
联系:

#15

帖子 oliver » 2005-12-11 14:15

我学走先。
max0000 写了:ok看来要靠你深入研究了。
回复

回到 “因特网相关软件”